De softwareupdate is bedoeld om een lek te dichten in de manier waarop de browser bepaalde javascipt-code verwerkt. Het lek doet zich voor in Firefox 1.5. In de versie 1.0 en ouder en de Mozilla Suite 1.7 komt het beveiligingsprobleem niet voor, aldus de ontwikkelaars. Gebruikers van Firefox 1.5 krijgen spoedig een waarschuwing waarin wordt geadviseerd hun browser te updaten tot versie 1.5.0.3.

De Mozilla Foundation heeft haast gemaakt met het dichten van het lek. Eind vorige week lieten de ontwikkelaars al weten dat er een update aan zat te komen. In de nieuwe software zitten nog niet alle nieuwe functies die wel waren gepland voor de volgende uitgave van de browser.

Vanwege de tijdsdruk hebben de ontwikkelaars er bijvoorbeeld voor gekozen om de nieuwe bladwijzerfunctie, genaamd Places, voorlopig uit te stellen. Places zat al in de alfaversie van Firefox 2.0 die onlangs uitkwam. Op 9 mei wordt de tweede alfaversie van Firefox verwacht. Daarin zit deze functie ook nog niet omdat de aandacht is uitgegaan naar de beveiligingsupdate.